Bug 206043 - mail/bayespam: Mark Un'BROKEN (make fetchable)
Summary: mail/bayespam: Mark Un'BROKEN (make fetchable)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: David Naylor
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-08 19:40 UTC by Chris Hutchinson
Modified: 2016-01-17 18:25 UTC (History)
2 users (show)

See Also:
koobs: merge-quarterly?


Attachments
svn diff to fix mail/bayespam (1.25 KB, patch)
2016-01-08 19:40 UTC, Chris Hutchinson
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2016-01-08 19:40:49 UTC
Created attachment 165276 [details]
svn diff to fix mail/bayespam

This port is currently marked BROKEN.
The svn diff attached to this pr(1) gives the source a
reliable home, provides LICENSE, a WWW, and MAINTAINER.

That's it!

# make -DBATCH extract

===>  License GPLv2 accepted by the user
===>  Found saved configuration for bayespam-0.9.2_1
===>   bayespam-0.9.2_1 depends on file: /usr/local/sbin/pkg - found
=> bayespam-0.9.2.tar_.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://BSDforge.com/projects/source/mail/bayespam/bayespam-0.9.2.tar_.gz
bayespam-0.9.2.tar_.gz                        100% of   14 kB  130 MBps 00m00s
===> Fetching all distfiles required by bayespam-0.9.2_1 for building
===>  Extracting for bayespam-0.9.2_1
=> SHA256 Checksum OK for bayespam-0.9.2.tar_.gz.


Thanks!

--Chris
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-09 18:35:29 UTC
Comment on attachment 165276 [details]
svn diff to fix mail/bayespam

Port is unmaintained, implicit approval
Comment 2 commit-hook freebsd_committer 2016-01-17 18:13:52 UTC
A commit references this bug:

Author: dbn
Date: Sun Jan 17 18:13:36 UTC 2016
New revision: 406524
URL: https://svnweb.freebsd.org/changeset/ports/406524

Log:
  mail/bayespam: make fetchable

  Changes:
   - Change MASTER_SITE to BSDforge.org
   - Assign MAINTAINERship to reporter
   - Remove BROKEN
   - Add LICENSE of GPLv2
   - Make portlint happy:
     - Capitalise start of COMMENT
     - Regenerate patches

  PR:		206043
  Submitted by:	Chris Hutchinson (portmaster@BSDforge.com)
  Approved by:	portmgr (implicit: unmaintained port)
  MFH:		2016Q1

Changes:
  head/mail/bayespam/Makefile
  head/mail/bayespam/files/patch-bayes_process_email.pl
  head/mail/bayespam/files/patch-bayes_spam_check.pl
  head/mail/bayespam/pkg-descr
Comment 3 commit-hook freebsd_committer 2016-01-17 18:24:54 UTC
A commit references this bug:

Author: dbn
Date: Sun Jan 17 18:24:22 UTC 2016
New revision: 406525
URL: https://svnweb.freebsd.org/changeset/ports/406525

Log:
  MFH: r406524

  mail/bayespam: make fetchable

  Changes:
   - Change MASTER_SITE to BSDforge.org
   - Assign MAINTAINERship to reporter
   - Remove BROKEN
   - Add LICENSE of GPLv2
   - Make portlint happy:
     - Capitalise start of COMMENT
     - Regenerate patches

  PR:		206043
  Submitted by:	Chris Hutchinson (portmaster@BSDforge.com)
  Approved by:	ports-secteam (feld@)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/mail/bayespam/Makefile
  branches/2016Q1/mail/bayespam/files/patch-bayes_process_email.pl
  branches/2016Q1/mail/bayespam/files/patch-bayes_spam_check.pl
  branches/2016Q1/mail/bayespam/pkg-descr
Comment 4 David Naylor freebsd_committer 2016-01-17 18:25:42 UTC
Committed (with changes) and MFH'ed.  Thank you for the PR.